> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radinai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling O3 Video Reference

> Generate a new Video using Kling O3 Video Reference, 720p, 1080p or 4K



## OpenAPI

````yaml /api-1(29).json post /v2/generation/kling-o3-video-reference
openapi: 3.0.3
info:
  title: Radin AI API docs
  description: '### Welcome to Radin AI API docs'
  version: '1.0'
  contact:
    name: Support
    url: https://radinai.com/support
servers:
  - url: https://api2.radinai.com
    description: API base URL
security:
  - ApiKeyAuth: []
externalDocs:
  url: https://radinai.com/api-dashboard
  description: API Dashboard
paths:
  /v2/generation/kling-o3-video-reference:
    post:
      tags:
        - Video Generation
      summary: Kling O3 Video Reference
      description: Generate a new Video using Kling O3 Video Reference, 720p, 1080p or 4K
      operationId: kling-o3-video-reference
      parameters:
        - name: webhookUrl
          in: query
          required: false
          schema:
            type: string
            description: >-
              Your Webhook URL, if specified, the result of the generation will
              be POSTed to this URL.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  minLength: 0
                  maxLength: 1600
                  example: <your-prompt>
                quality:
                  type: string
                  enum:
                    - '720'
                    - '1080'
                    - 4k
                video:
                  type: string
                  minLength: 1
                images:
                  maxItems: 4
                  type: array
                  items:
                    type: string
                    minLength: 1
                    example: >-
                      image download URL - or file name obtained from /upload
                      endpoint
                  description: >-
                    An array of image names or download URLs - if you don't have
                    a download URL, you can upload the file and get the file
                    name from the /upload endpoint.
                elements:
                  maxItems: 4
                  type: array
                  items:
                    oneOf:
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - image
                          tag:
                            type: string
                            enum:
                              - character
                              - animal
                              - prop
                              - costume
                              - scene
                              - effect
                              - others
                          images:
                            minItems: 2
                            type: array
                            items:
                              type: string
                              minLength: 1
                              example: >-
                                image download URL - or file name obtained from
                                /upload endpoint
                            description: >-
                              An array of image names or download URLs - if you
                              don't have a download URL, you can upload the file
                              and get the file name from the /upload endpoint.
                          voice:
                            type: string
                            minLength: 1
                            description: >-
                              An array of video names or download URLs - if you
                              don't have a download URL, you can upload the file
                              and get the file name from the /upload endpoint.A
                              video file of the character's voice for cloning
                              the voice (optional)
                          name:
                            type: string
                            minLength: 5
                            maxLength: 10
                        required:
                          - type
                          - tag
                          - images
                          - voice
                          - name
                        additionalProperties: false
                        title: Kling Image Element
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - video
                          tag:
                            type: string
                            enum:
                              - character
                              - animal
                              - prop
                              - costume
                              - scene
                              - effect
                              - others
                          video:
                            type: string
                            minLength: 1
                          voice:
                            type: string
                            minLength: 1
                            description: >-
                              An array of video names or download URLs - if you
                              don't have a download URL, you can upload the file
                              and get the file name from the /upload endpoint.A
                              video file of the character's voice for cloning
                              the voice (optional)
                          name:
                            type: string
                            minLength: 5
                            maxLength: 10
                        required:
                          - type
                          - tag
                          - video
                          - name
                        additionalProperties: false
                        description: Video element, can only be of type character
                        title: Video element
                aspectRatio:
                  type: string
                  enum:
                    - '1:1'
                    - '16:9'
                    - '9:16'
              required:
                - prompt
                - quality
                - video
                - aspectRatio
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - genId
                properties:
                  genId:
                    type: string
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key, obtained from https://radinai.com/manage-api-keys

````